Miridia
Portal
Global API

Organizations

The soft-check probe and registration itself

Base URL: https://global.miridia.io. Read Authentication and Conventions before you call these operations.

MethodPathOperation
GET/api/organizations/soft-checkSoft check
POST/api/organizationsRegister organization

Soft check

GET/api/organizations/soft-check

Pre-registration probe: does a global user with this email already exist?

Access. This operation needs no authentication.

Parameters

NameInTypeRequiredDescription
emailAddressquerystringNo

Response

200. Returns a SingleResult envelope. The data field is boolean.

Request
curl -X GET "https://global.miridia.io/api/organizations/soft-check"
Response
{
  "data": true,
  "statusCode": 0,
  "messages": [
    "string"
  ]
}

Register organization

POST/api/organizations

Access. This operation needs no authentication.

Request body

Send JSON with the shape RegisterOrganizationRequest. Do not rename or restructure fields without updating that form.

FieldTypeRequiredDescription
businessRegisterOrganizationBusinessRequestYes
userRegisterOrganizationUserRequestYes
fulfillmentTypesstring[]No
addOnsstring[]No

Response

200. Returns a SingleResult envelope. The data field is RegisterOrganizationBusinessResponse.

Request
curl -X POST "https://global.miridia.io/api/organizations" \
  -H "Content-Type: application/json" \
  -d '{
  "business": {
    "registeredName": "string",
    "displayName": "string",
    "phoneNumber": "string",
    "website": "string",
    "email": "name@example.com",
    "registrationNumber": "string",
    "requiresOrderIntegration": true,
    "requiresOrderFulfillment": true,
    "requiresAccountingIntegration": true,
    "requiresDispatchBuilder": true,
    "multipleBranches": true,
    "address": {
      "placeId": "string",
      "name": "string",
      "website": "string",
      "fullAddress": "string",
      "street": "string",
      "suburb": "string",
      "city": "string",
      "country": "string",
      "postcode": "string",
      "unit": "string",
      "number": "string",
      "province": "string",
      "latitude": 0,
      "longitude": 0
    }
  },
  "user": {
    "firstName": "string",
    "lastName": "string",
    "email": "name@example.com",
    "phoneNumber": "string",
    "password": "string",
    "confirmPassword": "string",
    "acceptedTerms": true
  },
  "fulfillmentTypes": [
    "string"
  ],
  "addOns": [
    "string"
  ]
}'
Response
{
  "data": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registeredName": "string",
    "registrationNumber": "string",
    "displayName": "string",
    "phoneNumber": "string",
    "website": "string",
    "email": "string",
    "requiresOrderIntegration": true,
    "requiresOrderFulfillment": true,
    "requiresAccountingIntegration": true,
    "requiresDispatchBuilder": true,
    "billingAddress": {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "placeId": "string",
      "name": "string",
      "website": "string",
      "fullAddress": "string",
      "street": "string",
      "suburb": "string",
      "city": "string",
      "country": "string",
      "postcode": "string",
      "unit": "string",
      "number": "string",
      "province": "string",
      "latitude": 0,
      "longitude": 0
    },
    "currentUser": {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "displayName": "string",
      "firstName": "string",
      "lastName": "string",
      "email": "string",
      "phoneNumber": "string"
    }
  },
  "statusCode": 0,
  "messages": [
    "string"
  ]
}

Models

The operations on this page use these object types. Select a type to see its fields.

RegisterOrganizationAddressRequest
FieldTypeDescription
placeIdstring
namestring
websitestring
fullAddressstring
streetstring
suburbstring
citystring
countrystring
postcodestring
unitstring
numberstring
provincestring
latitudenumber (double)
longitudenumber (double)
RegisterOrganizationAddressResponse
FieldTypeDescription
idstring (uuid)
placeIdstring
namestring
websitestring
fullAddressstring
streetstring
suburbstring
citystring
countrystring
postcodestring
unitstring
numberstring
provincestring
latitudenumber (double)
longitudenumber (double)
RegisterOrganizationBusinessRequest
FieldTypeDescription
registeredNamestringLimits: maximum 100 characters.
displayNamestringLimits: maximum 50 characters.
phoneNumberstring
websitestringLimits: maximum 100 characters.
emailstring (email)
registrationNumberstringLimits: maximum 30 characters.
requiresOrderIntegrationboolean
requiresOrderFulfillmentboolean
requiresAccountingIntegrationboolean
requiresDispatchBuilderboolean
multipleBranchesboolean
addressRegisterOrganizationAddressRequest
RegisterOrganizationBusinessResponse
FieldTypeDescription
idstring (uuid)
registeredNamestring
registrationNumberstring
displayNamestring
phoneNumberstring
websitestring
emailstring
requiresOrderIntegrationboolean
requiresOrderFulfillmentboolean
requiresAccountingIntegrationboolean
requiresDispatchBuilderboolean
billingAddressRegisterOrganizationAddressResponse
currentUserRegisterOrganizationUserSummary
RegisterOrganizationUserRequest
FieldTypeDescription
firstNamestring
lastNamestring
emailstring (email)
phoneNumberstring
passwordstring
confirmPasswordstring
acceptedTermsboolean
RegisterOrganizationUserSummary
FieldTypeDescription
idstring (uuid)
displayNamestring
firstNamestring
lastNamestring
emailstring
phoneNumberstring